%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d
%define tag	rc1
%define rel	2

Name:		hidapi
Version:	0.8.0
Release:	%mkrel -c %{tag} %{rel}
Summary:	Library for communicating with USB and Bluetooth HID devices

Group:		Communications/Radio
License:	GPLv3
URL:		http://www.signal11.us/oss/hidapi/
#https://github.com/signal11/hidapi/releases/tag/
Source0:	https://github.com/signal11/%{name}/releases/tag/%{name}-%{version}-%{tag}.tar.gz

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	m4
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(libusb)

%description
HIDAPI is a multi-platform library which allows an application to interface
with USB and Bluetooth HID-class devices on Windows, Linux, FreeBSD and Mac OS
X.  On Linux, either the hidraw or the libusb back-end can be used. There are
trade-offs and the functionality supported is slightly different.

%package -n %{libname}
Summary:	Library files for hidapi
Group:		System/Libraries

%description -n %{libname}
This package contains library files for hidapi which provides access to
USB and Bluetooth HID-class devices.

%package -n %{devname}
Summary:	Development files for hidapi
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains development files for hidapi which provides access to
USB and Bluetooth HID-class devices.

%prep
%setup -qn %{name}-%{version}-%{tag}

%build
autoreconf -vif
export CFLAGS="$CFLAGS -lpthread"
%configure2_5x --disable-testgui --disable-static
%make V=1

%install
%makeinstall_std DESTDIR=%{buildroot}

rm -f %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_defaultdocdir}/%{name}

%files -n %{libname}
%doc AUTHORS.txt README.txt LICENSE*.txt
%{_libdir}/libhidapi-*.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/hidapi
%{_libdir}/libhidapi-hidraw.so
%{_libdir}/libhidapi-libusb.so
%{_libdir}/pkgconfig/hidapi-hidraw.pc
%{_libdir}/pkgconfig/hidapi-libusb.pc


%changelog
* Thu Jan 28 2016 barjac <barjac> 0.8.0-0.rc1.2.mga6
+ Revision: 928293
- rebuild for new autotools

  + neoclust <neoclust>
    - Use %%configure2_5x if not autotools fails

* Wed Sep 09 2015 barjac <barjac> 0.8.0-0.rc1.1.mga6
+ Revision: 875299
- new version 0.8.0-rc1

* Fri Jan 16 2015 barjac <barjac> 0.7.0-0.a88c724.2.mga5
+ Revision: 810979
- remove incorrect require

* Fri Jan 16 2015 barjac <barjac> 0.7.0-0.a88c724.1.mga5
+ Revision: 810935
- add groups
- adapt for mageia
- Import package from Fedora with thanks


* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-4.a88c724
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-3.a88c724
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Oct 29 2013 Scott Talbert <swt@techie.net> - 0.7.0-2.a88c724
- Incorporate review comments

* Wed Oct 23 2013 Scott Talbert <swt@techie.net> - 0.7.0-1.a88c724
- Initial packaging of hidapi library
